OpenNMS API 1.2.9

## org.opennms.netmgt.filter.analysis
Interface Analysis

All Superinterfaces:
  Switch

All Known Implementing Classes:
  AnalysisAdapter

public interface Analysis
extends Switch

Method Summary
`void` `caseAAndRule(AAndRule node)`
`void` `caseACompareExprPart(ACompareExprPart node)`
`void` `caseAExprParensExpr(AExprParensExpr node)`
`void` `caseAExprPartExpr(AExprPartExpr node)`
`void` `caseAGtrThanEqualExprPart(AGtrThanEqualExprPart node)`
`void` `caseAGtrThanExprPart(AGtrThanExprPart node)`
`void` `caseAIdentExprPart(AIdentExprPart node)`
`void` `caseAIntegerCompareRight(AIntegerCompareRight node)`
`void` `caseAIntegerOctet(AIntegerOctet node)`
`void` `caseAIpaddrIpIdent(AIpaddrIpIdent node)`
`void` `caseAIplikeExprPart(AIplikeExprPart node)`
`void` `caseALessThanEqualExprPart(ALessThanEqualExprPart node)`
`void` `caseALessThanExprPart(ALessThanExprPart node)`
`void` `caseALikeExprPart(ALikeExprPart node)`
`void` `caseANotEqualExprPart(ANotEqualExprPart node)`
`void` `caseANotExprPart(ANotExprPart node)`
`void` `caseAOctetListOctet(AOctetListOctet node)`
`void` `caseAOctetRangeListOctet(AOctetRangeListOctet node)`
`void` `caseAOctetRangeOctet(AOctetRangeOctet node)`
`void` `caseAOrRule(AOrRule node)`
`void` `caseARuleExprRule(ARuleExprRule node)`
`void` `caseAStarOctet(AStarOctet node)`
`void` `caseAStringCompareRight(AStringCompareRight node)`
`void` `caseATildelikeExprPart(ATildelikeExprPart node)`
`void` `caseEOF(EOF node)`
`void` `caseStart(Start node)`
`void` `caseTAnd(TAnd node)`
`void` `caseTBlank(TBlank node)`
`void` `caseTCompare(TCompare node)`
`void` `caseTDot(TDot node)`
`void` `caseTGtrThan(TGtrThan node)`
`void` `caseTGtrThanEqual(TGtrThanEqual node)`
`void` `caseTIdent(TIdent node)`
`void` `caseTInteger(TInteger node)`
`void` `caseTIplike(TIplike node)`
`void` `caseTLessThan(TLessThan node)`
`void` `caseTLessThanEqual(TLessThanEqual node)`
`void` `caseTLike(TLike node)`
`void` `caseTLparen(TLparen node)`
`void` `caseTNot(TNot node)`
`void` `caseTNotEqual(TNotEqual node)`
`void` `caseTNotident(TNotident node)`
`void` `caseTOctetList(TOctetList node)`
`void` `caseTOctetRange(TOctetRange node)`
`void` `caseTOctetRangeList(TOctetRangeList node)`
`void` `caseTOr(TOr node)`
`void` `caseTQuotedString(TQuotedString node)`
`void` `caseTRparen(TRparen node)`
`void` `caseTSemi(TSemi node)`
`void` `caseTStar(TStar node)`
`void` `caseTTildelike(TTildelike node)`
`java.lang.Object` `getIn(Node node)`
`java.lang.Object` `getOut(Node node)`
`void` `setIn(Node node, java.lang.Object in)`
`void` `setOut(Node node, java.lang.Object out)`

Method Detail

### getIn

    public java.lang.Object getIn(Node node)

### setIn

    public void setIn(Node node,
                      java.lang.Object in)

### getOut

    public java.lang.Object getOut(Node node)

### setOut

    public void setOut(Node node,
                       java.lang.Object out)

### caseStart

    public void caseStart(Start node)

### caseAAndRule

    public void caseAAndRule(AAndRule node)

### caseAOrRule

    public void caseAOrRule(AOrRule node)

### caseARuleExprRule

    public void caseARuleExprRule(ARuleExprRule node)

### caseAExprPartExpr

    public void caseAExprPartExpr(AExprPartExpr node)

### caseAExprParensExpr

    public void caseAExprParensExpr(AExprParensExpr node)

### caseAIdentExprPart

    public void caseAIdentExprPart(AIdentExprPart node)

### caseAGtrThanExprPart

    public void caseAGtrThanExprPart(AGtrThanExprPart node)

### caseALessThanExprPart

    public void caseALessThanExprPart(ALessThanExprPart node)

### caseAGtrThanEqualExprPart

    public void caseAGtrThanEqualExprPart(AGtrThanEqualExprPart node)

### caseALessThanEqualExprPart

    public void caseALessThanEqualExprPart(ALessThanEqualExprPart node)

### caseACompareExprPart

    public void caseACompareExprPart(ACompareExprPart node)

### caseANotEqualExprPart

    public void caseANotEqualExprPart(ANotEqualExprPart node)

### caseANotExprPart

    public void caseANotExprPart(ANotExprPart node)

### caseALikeExprPart

    public void caseALikeExprPart(ALikeExprPart node)

### caseATildelikeExprPart

    public void caseATildelikeExprPart(ATildelikeExprPart node)

### caseAIplikeExprPart

    public void caseAIplikeExprPart(AIplikeExprPart node)

### caseAIntegerCompareRight

    public void caseAIntegerCompareRight(AIntegerCompareRight node)

### caseAStringCompareRight

    public void caseAStringCompareRight(AStringCompareRight node)

### caseAIpaddrIpIdent

    public void caseAIpaddrIpIdent(AIpaddrIpIdent node)

### caseAStarOctet

    public void caseAStarOctet(AStarOctet node)

### caseAOctetListOctet

    public void caseAOctetListOctet(AOctetListOctet node)

### caseAOctetRangeOctet

    public void caseAOctetRangeOctet(AOctetRangeOctet node)

### caseAOctetRangeListOctet

    public void caseAOctetRangeListOctet(AOctetRangeListOctet node)

### caseAIntegerOctet

    public void caseAIntegerOctet(AIntegerOctet node)

### caseTSemi

    public void caseTSemi(TSemi node)

### caseTNot

    public void caseTNot(TNot node)

### caseTCompare

    public void caseTCompare(TCompare node)

### caseTNotEqual

    public void caseTNotEqual(TNotEqual node)

### caseTGtrThan

    public void caseTGtrThan(TGtrThan node)

### caseTGtrThanEqual

    public void caseTGtrThanEqual(TGtrThanEqual node)

### caseTLessThan

    public void caseTLessThan(TLessThan node)

### caseTLessThanEqual

    public void caseTLessThanEqual(TLessThanEqual node)

### caseTAnd

    public void caseTAnd(TAnd node)

### caseTOr

    public void caseTOr(TOr node)

### caseTLike

    public void caseTLike(TLike node)

### caseTTildelike

    public void caseTTildelike(TTildelike node)

### caseTIplike

    public void caseTIplike(TIplike node)

### caseTLparen

    public void caseTLparen(TLparen node)

### caseTRparen

    public void caseTRparen(TRparen node)

### caseTBlank

    public void caseTBlank(TBlank node)

### caseTInteger

    public void caseTInteger(TInteger node)

### caseTIdent

    public void caseTIdent(TIdent node)

### caseTNotident

    public void caseTNotident(TNotident node)

### caseTQuotedString

    public void caseTQuotedString(TQuotedString node)

### caseTDot

    public void caseTDot(TDot node)

### caseTStar

    public void caseTStar(TStar node)

### caseTOctetList

    public void caseTOctetList(TOctetList node)

### caseTOctetRange

    public void caseTOctetRange(TOctetRange node)

### caseTOctetRangeList

    public void caseTOctetRangeList(TOctetRangeList node)

### caseEOF

    public void caseEOF(EOF node)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.